summary refs log tree commit diff
path: root/home/.local/bin/up
diff options
context:
space:
mode:
Diffstat (limited to 'home/.local/bin/up')
-rwxr-xr-xhome/.local/bin/up12
1 files changed, 12 insertions, 0 deletions
diff --git a/home/.local/bin/up b/home/.local/bin/up
new file mode 100755
index 00000000..43b1929b
--- /dev/null
+++ b/home/.local/bin/up
@@ -0,0 +1,12 @@
+#!/usr/bin/env zsh
+set -o errexit -o nounset -o pipefail
+
+ts=$(date +%s)
+rand=$(openssl rand -hex 4)
+ext=${1##*.}
+url=$(printf 'temp.causal.agency/%x%s.%s' "$ts" "$rand" "$ext")
+
+scp -q "$1" "temp.causal.agency:/usr/local/www/$url"
+
+echo "https://$url"
+type pbcopy > /dev/null && echo -n "https://$url" | pbcopy